# ARBMultiDrawIndirect (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBMultiDrawIndirect

    java.lang.Object
      org.lwjgl.opengl.ARBMultiDrawIndirect

    public final class ARBMultiDrawIndirect

extends java.lang.Object

Method Summary
`static void` `glMultiDrawArraysIndirect(int mode, java.nio.ByteBuffer indirect, int primcount, int stride)`
`static void` `glMultiDrawArraysIndirect(int mode, java.nio.IntBuffer indirect, int primcount, int stride)` Overloads glMultiDrawArraysIndirect.
`static void` `glMultiDrawArraysIndirect(int mode, long indirect_buffer_offset, int primcount, int stride)`
`static void` `glMultiDrawElementsIndirect(int mode, int type, java.nio.ByteBuffer indirect, int primcount, int stride)`
`static void` `glMultiDrawElementsIndirect(int mode, int type, java.nio.IntBuffer indirect, int primcount, int stride)` Overloads glMultiDrawElementsIndirect.
`static void` `glMultiDrawElementsIndirect(int mode, int type, long indirect_buffer_offset, int primcount, int stride)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### glMultiDrawArraysIndirect

    public static void glMultiDrawArraysIndirect(int mode,
                                                 java.nio.ByteBuffer indirect,
                                                 int primcount,
                                                 int stride)

### glMultiDrawArraysIndirect

    public static void glMultiDrawArraysIndirect(int mode,
                                                 long indirect_buffer_offset,
                                                 int primcount,
                                                 int stride)

### glMultiDrawArraysIndirect

    public static void glMultiDrawArraysIndirect(int mode,
                                                 java.nio.IntBuffer indirect,
                                                 int primcount,
                                                 int stride)

  Overloads glMultiDrawArraysIndirect.

### glMultiDrawElementsIndirect

    public static void glMultiDrawElementsIndirect(int mode,
                                                   int type,
                                                   java.nio.ByteBuffer indirect,
                                                   int primcount,
                                                   int stride)

### glMultiDrawElementsIndirect

    public static void glMultiDrawElementsIndirect(int mode,
                                                   int type,
                                                   long indirect_buffer_offset,
                                                   int primcount,
                                                   int stride)

### glMultiDrawElementsIndirect

    public static void glMultiDrawElementsIndirect(int mode,
                                                   int type,
                                                   java.nio.IntBuffer indirect,
                                                   int primcount,
                                                   int stride)

  Overloads glMultiDrawElementsIndirect.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.